function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Div } from '@cloudflare/elements';
import { isRowActions, EXPANDABLE_ID, SELECTABLE_ID } from './Table';
import { DefaultCell } from './CellStyles';
import { SkeletonBlock } from '@cloudflare/component-loading';

var Cell = _ref => {
  var {
    cell,
    id,
    isLoading,
    isExpandable,
    isRowSelectable
  } = _ref;
  if (isLoading && !isRowActions(cell.column.id)) return /*#__PURE__*/React.createElement(Div, _extends({
    id: id
  }, cell.getCellProps({
    style: {
      display: 'flex'
    }
  })), /*#__PURE__*/React.createElement(DefaultCell, null, /*#__PURE__*/React.createElement(SkeletonBlock, {
    height: "16px",
    width: "".concat(Math.floor(Math.random() * (90 - 20 + 1)) + 20, "%")
  })));
  if (cell.column.id === EXPANDABLE_ID && !isExpandable) return /*#__PURE__*/React.createElement(Div, _extends({
    id: id
  }, cell.getCellProps({
    style: {
      display: 'flex',
      flex: '0 0 auto'
    }
  })), /*#__PURE__*/React.createElement(DefaultCell, null));
  if (cell.column.id === SELECTABLE_ID || cell.column.id === EXPANDABLE_ID) return /*#__PURE__*/React.createElement(Div, _extends({
    id: id
  }, cell.getCellProps({
    style: {
      flex: '0 0 auto',
      display: 'flex',
      alignItems: 'center'
    }
  })), cell.render('Cell', {
    isRowSelectable
  }));
  return /*#__PURE__*/React.createElement(Div, _extends({
    id: id
  }, cell.getCellProps({
    style: {
      display: 'flex',
      alignItems: 'center'
    }
  })), cell.render('Cell'));
};

export default Cell;